package org.apache.logging.log4j.message;

import java.io.Serializable;

public abstract class AbstractMessageFactory implements MessageFactory, Serializable {
   private static final long serialVersionUID = 1L;

   public Message newMessage(Object message) {
      return new ObjectMessage(message);
   }

   public Message newMessage(String message) {
      return new SimpleMessage(message);
   }

   public abstract Message newMessage(String var1, Object... var2);
}
